Issue1980

classification
Title: ast.Eq, ast.Gt, ast.GtE, ast.In, ast.Is, ast.IsNot, ast.Lt, ast.LtE, ast.NotEq and ast.NotIn should be subclasses of ast.cmpop
Type: Severity: normal
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: Arfrever, fwierzbicki
Priority: low Keywords:

Created on 2012-10-23.21:54:48 by Arfrever, last changed 2014-05-17.20:54:20 by fwierzbicki.

Messages
msg7485 (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) Date: 2012-10-23.21:54:48
ast.Eq, ast.Gt, ast.GtE, ast.In, ast.Is, ast.IsNot, ast.Lt, ast.LtE, ast.NotEq and ast.NotIn should be subclasses of ast.cmpop.
This bug is present in Jython 2.5 and 2.7.

In Jython 2.7:

>>> import ast
>>> [issubclass(getattr(ast, x), ast.cmpop) for x in ('Eq', 'Gt', 'GtE', 'In', 'Is', 'IsNot', 'Lt', 'LtE', 'NotEq', 'NotIn')]
[False, False, False, False, False, False, False, False, False, False]

In CPython 2.7:

>>> import ast
>>> [issubclass(getattr(ast, x), ast.cmpop) for x in ('Eq', 'Gt', 'GtE', 'In', 'Is', 'IsNot', 'Lt', 'LtE', 'NotEq', 'NotIn')]
[True, True, True, True, True, True, True, True, True, True]
msg8432 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2014-05-17.20:54:20
Fixed. http://hg.python.org/jython/rev/b3f5c51c0a83
History
Date User Action Args
2014-05-17 20:54:20fwierzbickisetstatus: open -> closed
resolution: fixed
messages: + msg8432
2013-02-27 18:33:03fwierzbickisetpriority: low
assignee: fwierzbicki
2012-10-23 21:54:48Arfrevercreate